rte_seqlock_t(3)

NAME
rte_seqlock_t

SYNOPSIS

#include <rte_seqlock.h>

  Data Fields

rte_seqcount_t count
rte_spinlock_t lock

Detailed Description

The RTE seqlock type.

Definition at line 101 of file rte_seqlock.h.

Field Documentation

  rte_seqcount_t count
Sequence count for the protected data.

Definition at line 102 of file rte_seqlock.h.

  rte_spinlock_t lock
Spinlock used to serialize writers.

Definition at line 103 of file rte_seqlock.h.

Author

Generated automatically by Doxygen for DPDK from the source code.